First time here? Checkout the FAQ!
x
0 votes
by (420 points)
retagged by
hello, i am new on opencarp i wanted to start by installing carputilsgui on my computer but i got 3 types of errors by trying differents files:

for master files:

flask           |   File "/tutorials/01_EP_single_cell/02B_APD_restitution/run.py", line 213, in <module>
flask           |     from carputils import tools
flask           |   File "/usr/local/lib/python3.6/dist-packages/carputils/tools.py", line 42, in <module>
flask           |     from carputils import bundle
flask           |   File "/usr/local/lib/python3.6/dist-packages/carputils/bundle/__init__.py", line 63, in <module>
flask           |     sys.modules[__name__] = BundleModule()
flask           |   File "/usr/local/lib/python3.6/dist-packages/carputils/bundle/bundle.py", line 79, in __init__
flask           |     self._exp_file = os.path.abspath(sys.modules['__main__'].__file__)
flask           | AttributeError: module '__main__' has no attribute '__file__'
flask           | unable to load app 0 (mountpoint='') (callable not found or import error)
flask           | *** no app loaded. going in full dynamic mode ***
paraviewweb     |    ...done.

and this for carputils-opencarp- contener

File "./w_app/views.py", line 16, in <module>
flask           |     create_db.create()
flask           |   File "./w_app/create_db.py", line 31, in create
flask           |     modrun = __import__(pathrun, globals(), locals(),fromlist=['GUIinclude','EXAMPLE_DESCRIPTIVE_NAME','EXAMPLE_AUTHOR', 'parser'])
flask           |   File "/tutorials/01_EP_single_cell/02B_APD_restitution/run.py", line 213, in <module>
flask           |     from carputils import tools
flask           |   File "/carputils/carputils/tools.py", line 42, in <module>
flask           |     from carputils import bundle
flask           |   File "/carputils/carputils/bundle/__init__.py", line 57, in <module>
flask           |     from carputils.bundle.bundle import BundleModule
flask           |   File "/carputils/carputils/bundle/bundle.py", line 60, in <module>
flask           |     from ruamel.yaml import YAML
flask           | ModuleNotFoundError: No module named 'ruamel'
flask           | unable to load app 0 (mountpoint='') (callable not found or import error)
flask           | *** no app loaded. going in full dynamic mode ***
paraviewweb     |    ...done.

please can you help me to install this it's very important for me.

2 Answers

0 votes
by (8.4k points)
Hi Igniole,

The first issue was caused by a dependency not yet covered in carputilsGUI. It should be fixed with this commit: https://git.opencarp.org/openCARP/carputilsgui/-/commit/a7ee7b86f474072b8084561ff8b650a5b0929755

the second issue was independent and should be fixed with this commit: https://git.opencarp.org/openCARP/carputils/-/commit/c9506fb86f5d821808edb26e6dcf2fe6b51e8551

Thanks for reporting the. Hope it works for you now.

Cheers,

Axel
0 votes
by (1.5k points)

Hi Igniole,

Some adjustments were still made later this day, but everything should now be fine if you use the latest version of carputilsGUI.

Thank you for your contribution,

Marie

Welcome to openCARP Q&A. Ask questions and receive answers from other members of the community. For best support, please use appropriate TAGS!
architecture, carputils, documentation, experiments, installation-containers-packages, limpet, slimfem, website, governance
...